Bug 1851596 - Review Request: ghc-HsYAML - Pure Haskell YAML 1.2 parser
Summary: Review Request: ghc-HsYAML - Pure Haskell YAML 1.2 parser
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-27 10:37 UTC by Jens Petersen
Modified: 2020-07-01 07:22 UTC (History)
2 users (show)

Fixed In Version: ghc-HsYAML-0.1.2.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-06-27 10:37:20 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/ghc-HsYAML/ghc-HsYAML.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/ghc-HsYAML/ghc-HsYAML-0.1.2.0-1.fc33.src.rpm

Description:
'HsYAML' is a YAML 1.2 parser implementation for Haskell.

Features of 'HsYAML' include:

* Pure Haskell implementation with small dependency footprint and emphasis on
strict compliance with the http://yaml.org/spec/1.2/spec.html).
* Direct decoding to native Haskell types via ('aeson'-inspired) typeclass-based
API (see "Data.YAML").
* Support for constructing custom YAML node graph representation (including
support for cyclic YAML data structures).
* Support for the standard (untyped) /Failsafe/, (strict) /JSON/, and
(flexible) /Core/ "schemas" providing implicit typing rules as defined in
the YAML 1.2 specification (including support for user-defined custom schemas).
* Event-based API resembling LibYAML's Event-based API (see "Data.YAML.Event").
* Low-level API access to lexical token-based scanner (see "Data.YAML.Token").


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=46248289

Comment 1 Jens Petersen 2020-06-28 04:02:01 UTC
Needed for pandoc, also via doctemplates.

Comment 2 Robert-André Mauchin 🐧 2020-06-30 10:49:55 UTC
 - Latest version seems to be 0.2.1.0, any particular reason to package an old version?

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License". 14
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/ghc-HsYAML/review-ghc-
     HsYAML/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/ghc(ghc-
     compiler, ghc-uri-encode-doc, ghc-cborg-doc, ghc-geniplate-mirror-doc,
     ghc-aeson-better-errors-doc, ghc-dns-doc, ghc-time-manager-doc, ghc-
     murmur-hash-doc, ghc-EdisonAPI-doc, ghc-http2-doc, ghc-parsers-doc,
     ghc-EdisonCore-doc, ghc-Agda-doc), /usr/share/doc/ghc/html(ghc-
     compiler, ghc-uri-encode-doc, ghc-cborg-doc, ghc-geniplate-mirror-doc,
     ghc-aeson-better-errors-doc, ghc-dns-doc, ghc-time-manager-doc, ghc-
     murmur-hash-doc, ghc-EdisonAPI-doc, ghc-http2-doc, ghc-parsers-doc,
     ghc-EdisonCore-doc, ghc-Agda-doc),
     /usr/share/doc/ghc/html/libraries(ghc-compiler, ghc-uri-encode-doc,
     ghc-cborg-doc, ghc-geniplate-mirror-doc, ghc-aeson-better-errors-doc,
     ghc-dns-doc, ghc-time-manager-doc, ghc-murmur-hash-doc, ghc-EdisonAPI-
     doc, ghc-http2-doc, ghc-parsers-doc, ghc-EdisonCore-doc, ghc-Agda-
     doc), /usr/share/doc/ghc/html/libraries/HsYAML-0.1.2.0(ghc-HsYAML-
     doc), /usr/share/doc/ghc/html/libraries/HsYAML-0.1.2.0/src(ghc-HsYAML-
     doc)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-HsYAML-0.1.2.0-1.fc33.x86_64.rpm
          ghc-HsYAML-devel-0.1.2.0-1.fc33.x86_64.rpm
          ghc-HsYAML-0.1.2.0-1.fc33.src.rpm
ghc-HsYAML.x86_64: W: spelling-error %description -l en_US aeson -> arson, meson
ghc-HsYAML.x86_64: W: spelling-error %description -l en_US typeclass -> type class, type-class, typecasts
ghc-HsYAML.x86_64: W: spelling-error %description -l en_US untyped -> typed
ghc-HsYAML.x86_64: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
ghc-HsYAML.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSHsYAML-0.1.2.0-1cbtwCRBj4T7f46T3DyZ8O-ghc8.6.5.so
ghc-HsYAML.x86_64: W: no-documentation
ghc-HsYAML.src: W: spelling-error %description -l en_US aeson -> arson, meson
ghc-HsYAML.src: W: spelling-error %description -l en_US typeclass -> type class, type-class, typecasts
ghc-HsYAML.src: W: spelling-error %description -l en_US untyped -> typed
ghc-HsYAML.src: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
3 packages and 0 specfiles checked; 1 errors, 9 warnings.

Comment 3 Jens Petersen 2020-06-30 12:42:03 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/26698

Comment 4 Jens Petersen 2020-06-30 12:45:48 UTC
Thanks a lot, Robert-André!

(In reply to Robert-André Mauchin from comment #2)
>  - Latest version seems to be 0.2.1.0, any particular reason to package an
> old version?

Good point - I think I prepared the package earlier with an older version.
Let me update to 0.2.1.0 after importing: I am working on updating all the packages now too.

Comment 5 Gwyn Ciesla 2020-06-30 15:06:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-HsYAML


Note You need to log in before you can comment on or make changes to this bug.